package cn.pluss.platform.wxBankCode.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.WxBankCode;
import cn.pluss.platform.wxBankCode.WxBankCodeService;
import cn.pluss.platform.mapper.WxBankCodeMapper;

@Transactional
@Service("wxBankCodeService")
public class WxBankCodeServiceImpl  implements WxBankCodeService{

	 private static final Logger logger = LoggerFactory.getLogger( WxBankCodeServiceImpl.class);


    @Autowired
	  private WxBankCodeMapper wxBankCodeMapper;

    @Override
    public WxBankCode queryWxBankCode(WxBankCode wxBankCode){
        return wxBankCodeMapper.queryWxBankCode(wxBankCode);
    }

    @Override
    public List<WxBankCode> queryWxBankCodeList(WxBankCode wxBankCode){
        return wxBankCodeMapper.queryWxBankCodeList(wxBankCode);
    }
    @Override
    public void saveWxBankCode(WxBankCode wxBankCode){
          wxBankCodeMapper.saveWxBankCode(wxBankCode);
    }
    @Override
    public void updateWxBankCode(WxBankCode wxBankCode){
        wxBankCodeMapper.updateWxBankCode(wxBankCode);
    }
    @Override
    public void deleteWxBankCode(WxBankCode wxBankCode){
        wxBankCodeMapper.deleteWxBankCode(wxBankCode);
    }
    @Override
    public List<WxBankCode> queryWxBankCodePage(Map map){
        return wxBankCodeMapper.queryWxBankCodePage(map);
    }
    @Override
    public Integer queryWxBankCodePageCount(Map map){
        return wxBankCodeMapper.queryWxBankCodePageCount(map);
    }
    @Override
    public void saveWxBankCodeBatch(List<WxBankCode> wxBankCodeList) {
         wxBankCodeMapper.saveWxBankCodeBatch(wxBankCodeList);
    }
}

